/**
 * 2020年7月14日 10:38:36
 * 用于校验短时间内的重复提交
 * */
const key = 'fetch-url-data'; // 保存上一次请求的 url 和 time, body
const key2 = 'fetch-url-response';
export function setFetchUrl(data: string): void {
	localStorage.setItem(key, data);
}
export function getFetchUrl(): string {
	const res = localStorage.getItem(key);
	if (!res) {
		return '';
	} else {
		return res;
	}
}

export function saveResponse(data: string) {
	localStorage.setItem(key2, data); // 保存上一次请求返回的data
}

export function getLastResponse() {
	const res = localStorage.getItem(key2); // 获取上一次请求返回的data 应该是一个json
	if (!res) {
		return '';
	} else {
		return res;
	}
}
